Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 233213

Summary: Review Request: enblend - Image Blending with Multiresolution Splines
Product: [Fedora] Fedora Reporter: Bruno Postle <bruno>
Component: Package ReviewAssignee: Jef Spaleta <jspaleta>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Package Reviews List <fedora-package-review>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideFlags: jspaleta: fedora-review+
dennis: fedora-cvs+
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-03-26 21:28:45 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Bruno Postle 2007-03-20 22:54:23 UTC
Spec URL: http://bugbear.blackfish.org.uk/~bruno/apt/SPECS/enblend.spec
SRPM URL: http://bugbear.blackfish.org.uk/~bruno/apt/fedora/linux/6/x86_64/SRPMS.panorama/enblend-3.0-2.fc6.src.rpm
Patch0: http://bugbear.blackfish.org.uk/~bruno/apt/SPECS/enblend-without-glew.patch
Description:

Enblend is a tool for compositing images. Given a set of images that overlap in
some irregular way, Enblend overlays them in such a way that the seam between
the images is invisible, or at least very difficult to see. Enblend does not
line up the images for you. Use a tool like Hugin to do that.

Note 1: enblend includes code from the vigra project, the situation is exactly the same as with hugin (see 206814).

Note 2: enblend-3.0 has a dependency on glew, however my glew package has stalled on license issues (see 229419).  The glew functionality isn't important, so this package includes a patch to allow building without glew.

Comment 1 Jef Spaleta 2007-03-25 05:36:30 UTC
Summary: Approved 
Minor Issue: please fix redundant buildrequires when uploading to cvs before
your first build. 


Full review:
+ named according to guidelines
+ specfile named according to guidelines
+ license tag is GPL and is the most appropriate tag for the codebase. 
This does include some files under the MIT license as well, which is clarified
in the files included in the docs section. 
+ license files from source included in docs section
+ spec in legable english-ese 
+ sources match upstream 
f80a12ff91a6122c5ea0d102443929da  enblend-3.0.tar.gz
+ clean section looks good
+ consistent use of macros
+ contains permissible code.. no content at all
+ no need for a docs subpackage
+ no need for a -devel subpackage
+ no static libs, explictly disabled in the configure section
+ no pkgconfig files
+ no libtool archives
+ no desktop file.. not a gui app
+ no duplicate package ownership of installed files
+ no locales
+ no shared libs
+ all directories correctly owned.. in fact only the docs directory tree is created
+ no dupes in the files section
+ file permissions look okay
+ builds under mock on x86
+ uses RPM_OPT_FLAGS according to the visual inspection of build log
+ rpmlint clean for mock built packages
rpmlint enblend-3.0-2.fc7.i386.rpm
clean
rpmlint enblend-debuginfo-3.0-2.fc7.i386.rpm
clean
rpmlint enblend-3.0-2.fc7.src.rpm 
clean

- redundant buildrequires
mesa-libGL-devel and mesa-libGLU-devel are redundant 
both are required by freeglut-devel
n/a not designed to be relocated

Comment 2 Bruno Postle 2007-03-25 09:40:42 UTC
New Package CVS Request
=======================
Package Name: enblend
Short Description: Image Blending with Multiresolution Splines
Owners: bruno@postle.net
Branches: FC-5 FC-6
InitialCC: jspaleta@gmail.com

Comment 3 Dennis Gilmore 2007-03-25 23:15:09 UTC
branched